Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding.ser
Class SimpleListDeserializer

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.apache.axis.message.SOAPHandler
              org.apache.axis.encoding.DeserializerImpl
                  org.apache.axis.encoding.ser.SimpleDeserializer
                      org.apache.axis.encoding.ser.SimpleListDeserializer

All Implemented Interfaces:
  Callback, org.xml.sax.ContentHandler, Deserializer, Deserializer, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, java.io.Serializable

public class SimpleListDeserializer
extends SimpleDeserializer

Deserializer for based on SimpleDeserializer

Author:
  Ias (iasandcb@tmax.co.kr)
See Also:
  Serialized Form

Field Summary
`protected SimpleListDeserializer` | `cacheStringDSer`
`protected QName` | `cacheXMLType`
`java.lang.Class` | `javaType`
`QName` | `xmlType`

Fields inherited from class org.apache.axis.encoding.ser.SimpleDeserializer
`STRING_CLASS`

Fields inherited from class org.apache.axis.encoding.DeserializerImpl
`componentsReadyFlag, defaultType, id, isEnded, isHref, isNil, log, targets, value`

Fields inherited from class org.apache.axis.message.SOAPHandler
`myElement`

Constructor Summary
`SimpleListDeserializer(java.lang.Class javaType, QName xmlType)` The Deserializer is constructed with the xmlType and javaType (which could be a java primitive like int.class)
`SimpleListDeserializer(java.lang.Class javaType, QName xmlType, TypeDesc typeDesc)`

Method Summary
`void` | `characters(char[] chars, int start, int end)` Append any characters received to the value.
`java.lang.Object` | `makeValue(java.lang.String source)` Convert the string that has been accumulated into an Object.
`void` | `onEndElement(java.lang.String namespace, java.lang.String localName, DeserializationContext context)` Append any characters to the value.
`SOAPHandler` | `onStartChild(java.lang.String namespace, java.lang.String localName, java.lang.String prefix, org.xml.sax.Attributes attributes, DeserializationContext context)` There should not be nested elements, so thow and exception if this occurs.
`void` | `onStartElement(java.lang.String namespace, java.lang.String localName, java.lang.String prefix, org.xml.sax.Attributes attributes, DeserializationContext context)` Set the bean properties that correspond to element attributes.
`void` | `reset()` Reset deserializer for re-use
`void` | `setConstructor(java.lang.reflect.Constructor c)` The Factory calls setConstructor.

Methods inherited from class org.apache.axis.encoding.DeserializerImpl
`addChildDeserializer, componentsReady, endElement, getDefaultType, getMechanismType, getValue, getValue, getValueTargets, moveValueTargets, registerValueTarget, removeValueTargets, setChildValue, setDefaultType, setValue, setValue, startElement, valueComplete`

Methods inherited from class org.apache.axis.message.SOAPHandler
`makeNewElement, onEndChild`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xmlType

    public QName xmlType

### javaType

    public java.lang.Class javaType

### cacheStringDSer

    protected SimpleListDeserializer cacheStringDSer

### cacheXMLType

    protected QName cacheXMLType

Constructor Detail

### SimpleListDeserializer

    public SimpleListDeserializer(java.lang.Class javaType,
                                  QName xmlType)

  The Deserializer is constructed with the xmlType and javaType (which could be a java primitive like int.class)

### SimpleListDeserializer

    public SimpleListDeserializer(java.lang.Class javaType,
                                  QName xmlType,
                                  TypeDesc typeDesc)

Method Detail

### reset

    public void reset()

  Reset deserializer for re-use

  Overrides:
    `reset` in class `SimpleDeserializer`

### setConstructor

    public void setConstructor(java.lang.reflect.Constructor c)

  The Factory calls setConstructor.

  Overrides:
    `setConstructor` in class `SimpleDeserializer`

### onStartChild

    public SOAPHandler onStartChild(java.lang.String namespace,
                                    java.lang.String localName,
                                    java.lang.String prefix,
                                    org.xml.sax.Attributes attributes,
                                    DeserializationContext context)
                             throws org.xml.sax.SAXException

  There should not be nested elements, so thow and exception if this occurs.

  Specified by:
    `onStartChild` in interface `Deserializer`
  Overrides:
    `onStartChild` in class `SimpleDeserializer`
  Throws:
    `org.xml.sax.SAXException`

### characters

    public void characters(char[] chars,
                           int start,
                           int end)
                    throws org.xml.sax.SAXException

  Append any characters received to the value. This method is defined by Deserializer.

  Specified by:
    `characters` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `characters` in class `SimpleDeserializer`
  Throws:
    `org.xml.sax.SAXException`

### onEndElement

    public void onEndElement(java.lang.String namespace,
                             java.lang.String localName,
                             DeserializationContext context)
                      throws org.xml.sax.SAXException

  Append any characters to the value. This method is defined by Deserializer.

  Specified by:
    `onEndElement` in interface `Deserializer`
  Overrides:
    `onEndElement` in class `SimpleDeserializer`
  Throws:
    `org.xml.sax.SAXException`

### makeValue

    public java.lang.Object makeValue(java.lang.String source)
                               throws java.lang.Exception

  Convert the string that has been accumulated into an Object. Subclasses may override this.

  Overrides:
    `makeValue` in class `SimpleDeserializer`
  Parameters:
    `source` - the serialized value to be deserialized
  Throws:
    `java.lang.Exception` - any exception thrown by this method will be wrapped

### onStartElement

    public void onStartElement(java.lang.String namespace,
                               java.lang.String localName,
                               java.lang.String prefix,
                               org.xml.sax.Attributes attributes,
                               DeserializationContext context)
                        throws org.xml.sax.SAXException

  Set the bean properties that correspond to element attributes. This method is invoked after startElement when the element requires deserialization (i.e. the element is not an href and the value is not nil.)

  Specified by:
    `onStartElement` in interface `Deserializer`
  Overrides:
    `onStartElement` in class `SimpleDeserializer`
  Parameters:
    `namespace` - is the namespace of the element
    `localName` - is the name of the element
    `prefix` - is the prefix of the element
    `attributes` - are the attributes on the element...used to get the type
    `context` - is the DeserializationContext
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.